NPLocals = {};

NPLocals.VERSION = "2.0.3";

NPLocals.NAMEPLATES = "Name Plates";

NPLocals.DISABLED = "disabled";
NPLocals.ENABLED = "enabled";
NPLocals.FRIENDLYPLATES_TOGGLED = "Friendly name plates are now %s!";
NPLocals.ENEMYPLATES_TOGGLED = "Enemy name plates are now %s!";

-- UI Configuration
NPLocals.TAB_GENERAL = "General";
NPLocals.TAB_NAME = "Name Text";
NPLocals.TAB_HEALTH = "Health Text";
NPLocals.TAB_BAR = "Health Bars";
NPLocals.TAB_CAST = "Cast Text";
NPLocals.TAB_HIDE = "Remove Bars";

-- Generic text
NPLocals.PERCENT = "Percentage";
NPLocals.DIFFERENCE = "Difference";
NPLocals.CURRENTMAX = "Current / Max";
NPLocals.CURRENT = "Current";
NPLocals.TIMELEFT = "Time left";

NPLocals.TEXT_OPACITY = "Text opacity (%d%%)";
NPLocals.TEXT_COLOR = "Text color";
NPLocals.TEXT_SCALE = "Text scale (%d%%)";

NPLocals.TEXT_BGOPACITY = "Text background opacity";
NPLocals.TEXT_BACKGROUND = "Text background color";

-- General
NPLocals.GENERAL_ENABLE = "Enable name plates";

NPLocals.GENERAL_NPSTATUS = "Show name plate display status";
NPLocals.GENERAL_NPSTATUS_TT = "Displays text like 'Enemy Name Plates enabled' or 'All Name Plates turned on'.";

-- Name
NPLocals.NAME_ENABLE = "Enable name configuration";
NPLocals.NAME_OPACITY = "Name opacity (%d%%)";

NPLocals.NAME_DEFAULTCOLOR = "Default text color";
NPLocals.NAME_AGGROCOLOR = "Player/npc hit text color";
NPLocals.NAME_HOVEREDCOLOR = "Hovered over color";
NPLocals.NAME_RAIDCOLOR = "Raid group text color";
NPLocals.NAME_PARTYCOLOR = "Party text color";

NPLocals.NAME_DEFAULTCOLOR_TT = "Default color that all text has.";
NPLocals.NAME_AGGROCOLOR_TT = "Text color when the player or mob has taken damage.";
NPLocals.NAME_HOVEREDCOLOR_TT = "Text color when you are hovering over the name plate.";
NPLocals.NAME_RAIDCOLOR_TT = "Text color to use when the player is in the same raid group as you are.";
NPLocals.NAME_PARTYCOLOR_TT = "Text color to use when the player is in the same party as you are.";

-- Health
NPLocals.HEALTH_ENABLE = "Enable health text configuration";
NPLocals.HEALTH_TYPE = "Health type";
NPLocals.HEALTH_TYPE_TT = "Health type is the format to display health in, if they are not in your party/raid then percentage is used.";
NPLocals.HEALTH_MOBHEALTH = "Enable mob health support";
NPLocals.HEALTH_MOBHEALTH_TT = "Shows health values using information from MobHealth3.\nRequires MobHealth3 to be enabled.";

-- Cast bars
NPLocals.CAST_ENABLE = "Enable casting bar text configuration";
NPLocals.CAST_TYPE = "Cast bar type";
NPLocals.CAST_TYPE_TT = "Casting bar type is how to show the time left for the cast.";


-- Hiding bars
NPLocals.HIDE_TYPES = {	{ "neutralNPC", "Neutral NPC" }, { "hostile", "Hostile" },
			{ "friendlyPlayer", "Friendly Player" }, { "friendlyNPC", "Friendly NPC" },
			{ "raid", "Raid Member" }, { "party", "Party Member" } };

NPLocals.HIDE_OPTION = "Hide %s";
NPLocals.HIDE_OPTION_TT = "Hides all %s bars, this is only to reduce the amount of bars on the screen, the game will still assume they are there when positioning.\nAlso the name/guild tag isn't shown even if the bar isn't.";

-- Bar
NPLocals.BAR_ENABLE = "Enable health bar configuration";
NPLocals.BAR_OPACITY = "Bar opacity (%d%%)";

NPLocals.BAR_HIDEBORDER = "Hide health bar border";
NPLocals.BAR_TEXTURE = "Health bar texture";

NPLocals.BAR_RAID = "Bar color for raid members";
NPLocals.BAR_PARTY = "Bar color for party members";
NPLocals.BAR_FRIENDLYPLAYER = "Bar color for friendly players";
NPLocals.BAR_FRIENDLYNPC = "Bar color for friendly npcs";
NPLocals.BAR_HOSTILE = "Bar color for hostile players/npcs";
NPLocals.BAR_NEUTRALNPC = "Bar color for neutral npcs";

NPLocals.BAR_TEXTURE_TT = "Sets the texture to use for the health bars.";
NPLocals.BAR_HIDEBORDER_TT = "Hides the border around the health bar.";
NPLocals.BAR_RAID_TT = "Players that are in the same raid group as you are.";
NPLocals.BAR_PARTY_TT = "Players that are in the same party as you are.";
NPLocals.BAR_FRIENDLYPLAYER_TT = "Players that are friendly (same faction) but are not grouped with you.";
NPLocals.BAR_FRIENDLYNPC_TT = "NPCs that are friendly to you.";
NPLocals.BAR_HOSTILE_TT = "Players or npcs that are hostile, this includes players that aren't in your faction.";
NPLocals.BAR_NEUTRALNPC_TT = "NPCs that are neutral, this can either be a neutral mob like a critter, or a group that you are of neutral reputation with.";

-- Textures
NPLocals.TEXTURES = {};
table.insert( NPLocals.TEXTURES, { "default", "Default" } );
table.insert( NPLocals.TEXTURES, { "BantoBar", "Banto Bar" } );
table.insert( NPLocals.TEXTURES, { "Bars", "Bars" } );
table.insert( NPLocals.TEXTURES, { "Button", "Button" } );
table.insert( NPLocals.TEXTURES, { "Charcoal", "Charcoal" } );
table.insert( NPLocals.TEXTURES, { "Cloud", "Cloud" } );
table.insert( NPLocals.TEXTURES, { "Dabs", "Dabs" } );
table.insert( NPLocals.TEXTURES, { "DarkBottom", "Dark Bottom" } );
table.insert( NPLocals.TEXTURES, { "Fifths", "Fifths" } );
table.insert( NPLocals.TEXTURES, { "Fourths", "Fourths" } );
table.insert( NPLocals.TEXTURES, { "Gloss", "Gloss" } );
table.insert( NPLocals.TEXTURES, { "Grid", "Grid" } );
table.insert( NPLocals.TEXTURES, { "Hatched", "Hatched" } );
table.insert( NPLocals.TEXTURES, { "Smooth", "Smooth" } );
table.insert( NPLocals.TEXTURES, { "Steel", "Steel" } );
table.insert( NPLocals.TEXTURES, { "Water", "Water" } );
table.insert( NPLocals.TEXTURES, { "Wisps", "Wisps" } );
table.insert( NPLocals.TEXTURES, { "LiteStep", "Lite Step" } );